Subject: Re: Can't boot benh/powerpc.git kernel

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 11 Nov 2010 09:06:57 +1100

On Wed, 2010-11-10 at 11:54 -0800, Jim Keniston wrote:
> I got Ben's linux/kernel/git/benh/powerpc.git source and built it
> (.config file attached*).  It hangs on boot.  When I boot it with
> loglevel=8, its last words are:

First, please try with Linus upstream. The "master" branch in my git
tree is quite stale, and my next and merge branch are too at the moment
as I'm still travelling. All our current stuff was merged during the
last merge window so there's nothing "new" for you to pickup in my tree
at the moment :-)

If the problem still occurs, I'll have a look next week.

Cheers,
Ben.

> ...
> Security Framework initialized
> SELinux:  Disabled at boot.
> Dentry cache hash table entries: 262144 (order: 5, 2097152 bytes)
> Inode-cache hash table entries: 131072 (order: 4, 1048576 bytes)
> Mount-cache hash table entries: 4096
> Initializing cgroup subsys ns
> Initializing cgroup subsys cpuacct
> Initializing cgroup subsys memory
> Initializing cgroup subsys devices
> Initializing cgroup subsys freezer
> irq: irq 2 on host null mapped to virtual irq 16
> 
> ... and then it hangs.
> 
> The whole console log is attached.
> 
> Any suggestions?
> 
> This is on a Power 5 system -- model = IBM,9111-520.
> 
> *I earlier tried booting it with the following options enabled, with the
> same result before and after I backed them off.
> CONFIG_PREEMPT
> CONFIG_DEBUG_PREEMPT
> CONFIG_DEBUG_SLAB
> CONFIG_DEBUG_PAGEALLOC
> CONFIG_DEBUG_MUTEXES
> CONFIG_DEBUG_SPINLOCK
> CONFIG_DEBUG_SPINLOCK_SLEEP
> 
> Thanks.
> Jim Keniston
> LTC - Beaverton, OR
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev